summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-08-05 06:23:14 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-08-05 06:23:14 +0000
commita33fe876b7e767245871047dc2c292b102cf28df (patch)
treef572b5dabe197286818afd55f0ed3bbc98bd5085 /dev-python
parent679fb44b8ec4cbe27030d595277d78ba29edf652 (diff)
downloadbaldeagleos-repo-a33fe876b7e767245871047dc2c292b102cf28df.tar.gz
baldeagleos-repo-a33fe876b7e767245871047dc2c292b102cf28df.tar.xz
baldeagleos-repo-a33fe876b7e767245871047dc2c292b102cf28df.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Nuitka/Manifest1
-rw-r--r--dev-python/Nuitka/Nuitka-1.7.9.ebuild54
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.28.20.ebuild66
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.31.20.ebuild72
-rw-r--r--dev-python/contourpy/contourpy-1.1.0.ebuild2
-rw-r--r--dev-python/cryptography/Manifest3
-rw-r--r--dev-python/cryptography/cryptography-41.0.3.ebuild (renamed from dev-python/cryptography/cryptography-41.0.1.ebuild)138
-rw-r--r--dev-python/cryptography/files/cryptography-36.0.2-libressl.patch102
-rw-r--r--dev-python/cryptography/files/openssl_cleanup.patch16
-rw-r--r--dev-python/dask/Manifest1
-rw-r--r--dev-python/dask/dask-2023.8.0.ebuild83
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/pycairo/pycairo-1.24.0.ebuild2
-rw-r--r--dev-python/time-machine/time-machine-2.10.0.ebuild2
-rw-r--r--dev-python/tornado/tornado-6.3.2-r1.ebuild2
-rw-r--r--dev-python/w3lib/Manifest4
-rw-r--r--dev-python/w3lib/metadata.xml8
-rw-r--r--dev-python/w3lib/w3lib-2.0.1.ebuild32
-rw-r--r--dev-python/w3lib/w3lib-2.1.0.ebuild25
-rw-r--r--dev-python/w3lib/w3lib-2.1.1.ebuild29
-rw-r--r--dev-python/websockets/websockets-11.0.3-r1.ebuild2
-rw-r--r--dev-python/wurlitzer/wurlitzer-3.0.3.ebuild2
25 files changed, 422 insertions, 238 deletions
diff --git a/dev-python/Nuitka/Manifest b/dev-python/Nuitka/Manifest
index 42064b729f18..e74f5df69c10 100644
--- a/dev-python/Nuitka/Manifest
+++ b/dev-python/Nuitka/Manifest
@@ -1,3 +1,4 @@
DIST Nuitka-1.7.6.tar.gz 4278626 BLAKE2B bf5865e91b8d30e81963ff053fccbc377846fa14353534bb60243536a3fbbe68afb2811acd2930f3a0d0e2cad55ee288f47e0fdcb3bacb9c5cb4be11600e0a7a SHA512 859e3b48c0fdc655013e656f75620b556a59d620465fe659d3a60b0a45eb8273a528e7c689c8113a6ab7cf3065976de83c28fe501b319cdc7e04581eb2bd4ac3
DIST Nuitka-1.7.7.tar.gz 4278709 BLAKE2B a9e44c55b2e02ef700f8adb4ab460ed80073fb8e1865c1a32b031aa4d0392569d097f3d5e18309729cf8c90963e5854e5eb6e42cac3971b1874c0db8fc75f9b9 SHA512 1dcf347351233b75a1e1858b25f2faf4a59be6ca46c2db08435d676f3bcaa882405852e4149743c0989ea2a8fdc7e9601383e2a2c83b69f49b8e1a057bec2195
DIST Nuitka-1.7.8.tar.gz 4288711 BLAKE2B e8c6cc89d4f9163a2127b0fc9bdb33e8e0c905439b27b26e750f4ea50d99f00b52e00df6a465239572fa2c6c0aaf81ab027489b221529effacae77afe2592237 SHA512 d223c2a22611e54e4ad913ae8ffb1449ab036feeac1401642a72505061ad1f4cd7c033f8e5bb47cddd2cc3ca0acebf9d9a837403adfb0235aaebc30d8f271a4c
+DIST Nuitka-1.7.9.tar.gz 4288768 BLAKE2B 6069598c4eb9bb134a0d5bcfc4f3b423c0cb4f0f600ed13b20080470cde53e0077394eb5660d1abe766ccfa52a0bd3f9203dabd5dae160de20b1b58670ea4bb6 SHA512 a2d2ad1be1fefc97c86af64fa1133bb6ca478021c1cc606be663a1d12bdab3a218c1760b697e426cafb67411a435d5353bf1688b986240036539946fb6ed12f3
diff --git a/dev-python/Nuitka/Nuitka-1.7.9.ebuild b/dev-python/Nuitka/Nuitka-1.7.9.ebuild
new file mode 100644
index 000000000000..1158b562d51b
--- /dev/null
+++ b/dev-python/Nuitka/Nuitka-1.7.9.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://www.nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-util/scons[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" app-admin/chrpath
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8c86c1a83aba..46bf56928e34 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -7,5 +7,6 @@ DIST boto3-1.28.16.gh.tar.gz 682801 BLAKE2B 1c522ed821d46df27abfbd4522066eb43aaf
DIST boto3-1.28.17.gh.tar.gz 683517 BLAKE2B 5643bb0da88893cf07013786dafeccd02ec0c060fcd74e8accc6e77d0ebc874b01741c1adfe5fc143f979d4d309a5f9b3fc1bb0d1cabafe6d5f4e724d4355da4 SHA512 5c943d3354a59c905e8d32fa5ebf854dee527dd2afbb18f421c256718cf2710d4f10158512a2aeda9b0a6687b668dd8ad76b593e9a2ba9037d665ecda2d30550
DIST boto3-1.28.18.gh.tar.gz 684109 BLAKE2B a16e76ec76884c0d82ad99060d2094a2fa5e77aa672d73d318fa099df8377f8c466503258ba82e4a431115bb7741c73289fe857f26ed63ca249b29f8533efc2c SHA512 10f55baaefbd61b8c51ae30e42fb09796853b618e55ff94753e64915da20e9016768cab5b3d0e1dde379d61aceb9bc65761b21ec350073b6f97e6e80f101dda8
DIST boto3-1.28.19.gh.tar.gz 684512 BLAKE2B f8cb7b2e2ad2861548420b3406e2f76f35377e90a4205353395ba3016ba7cafbffba617902b97a0680275a9e120f4b99a903e6424f6274373d8a2b540f81faef SHA512 c4a62a1ca2951536700f8a337bbce9ea1093f0db5076df9d912c66f24917aa55d79980e4a712cf05cbf329fda2ef6c216dc6ef4d2a36d51d0d9c0320d0a5ae6d
+DIST boto3-1.28.20.gh.tar.gz 684832 BLAKE2B dc8dee3e001e26fa5e9f1355ef40cb03a860fdba2585abb230213f04d443f047aeed3c8fc866c34e546d9dd74e373311172aa5a9ad235dd3f99d3c6d81dac8c2 SHA512 7409ebf4fe84b549ec701cff8f5c8373f360d1855e3834f2ff1c1882ee6c34ad5b5bed0ac8f133ae3412026c4f69ed626858c019e6338e03e4ebcbc2cbb761f1
DIST boto3-1.28.3.gh.tar.gz 675019 BLAKE2B 93b29307fbfec4e61dc60d28e4f20392ae2a730f048a0b2e8cb99fd515a036fc4ca889ddd564e09b1f3eab4cb9499c5918b4e7430d63148dd2854d126719a468 SHA512 514d0f373f25bb691abf5f1f8b0209a07097191b2ad8fb6339739e7a0bd2b8e6d5a88f1250e928ca89b1f1aa5e27a44bf2cab38a57680c01214d370d11944ded
DIST boto3-1.28.9.gh.tar.gz 677993 BLAKE2B a800de94cfb0d317b41091fb1d2bb0fd6449df85da434879c0689bf36998b2a52331ba077c65cae9967fcce998a15d2a6f6a758931fa12a00b95487adaf81dfa SHA512 6e1e5e74d20d2e67f29597ddcda70475cbea863978ca93ec77a0f478690477c9782111701771d5b8354f4402c21496e7f5627b1398cbd6fd87627fd978f5e360
diff --git a/dev-python/boto3/boto3-1.28.20.ebuild b/dev-python/boto3/boto3-1.28.20.ebuild
new file mode 100644
index 000000000000..03c610b184f7
--- /dev/null
+++ b/dev-python/boto3/boto3-1.28.20.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index b486ae9f77c5..df4a56d99a62 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -7,5 +7,6 @@ DIST botocore-1.31.16.gh.tar.gz 11829557 BLAKE2B 73d8aff2d6cceac5954dd102a78f2a8
DIST botocore-1.31.17.gh.tar.gz 11832654 BLAKE2B 6a67a9d061739deb459172fdba67cd42a8647299cec9158d82d5f1176bc25c9af299d90b9c985e84fa2bf337fb928762c6e85a922b933ae326c220a36ceef7e2 SHA512 45b154c25904d2a2ecaff68bb98f2c6b4777ae4d76a15720e0b3f11cfcdcb9a5ed06547c34708a21f7ab2b1bf47ed8481f9d42b2a9a2906115c41bbb09aa5506
DIST botocore-1.31.18.gh.tar.gz 11849581 BLAKE2B b2a4800a2fc6d367e8206f3d246bc04cce1df185d598046afc76e7fe60e9bbcd58736e1d741348edec8ba5499695103e88a843600bbe2be1c5b6bd90de96c2b3 SHA512 a38a6424ba8e78c7277f4197d1046ad62b92495f32dca85ef9e8dfc9e14acdcea2f7bf25db0259e0b9185edb64217ffbfe13efed0e7d256d245aa447b00b23fe
DIST botocore-1.31.19.gh.tar.gz 11853202 BLAKE2B 2f5205ee0b72e945c060561462e97b4af625b9903d22dc8a602613488c879f9b3d8c4ccd81b6176a72a123bc7d35483c63395e9a3915f51a5316bacd3c6e283c SHA512 c1a7ac18325932946a1ba331b506d4903b452d3b9dabce6e3fc553e2db0d7b80c92010be6db4c5cb7b7e6b9244776dffb0486f4f2109d747514fae41017f6aaa
+DIST botocore-1.31.20.gh.tar.gz 11852972 BLAKE2B f4c4cf244de902fa4debeeb69c1981dc850751d8750c5c0af109d3f594991ed23a405688d864ac1237df39e8ac96b9d49f4cc83a973dea91ea6539eeaf2458a0 SHA512 e3f4960279c895eec503420bc1b42574fcfb53e5f1cdc6a26207ca1dbd34b36ecfc52c1dcd7b1e9918a5c3c91569baf1df524ca4269a7279fb2d0ef751355fff
DIST botocore-1.31.3.gh.tar.gz 11769948 BLAKE2B 452c494faa430b6782685b9960cc9ea15ce3dedfe1b5343ee7bdbd7544e108bbfc7bb58d527419b5dc5f4077dd806752eec927196b82ac286903992fef339e52 SHA512 0f2853c14d7695ea4eeacea6fed93e77436df143bd0b9bec967490eb88e3d6531c916dca91c1a3bde4b57253d77acabe2413acde4d1473d01e15ef69b45621e0
DIST botocore-1.31.9.gh.tar.gz 11785638 BLAKE2B 23f2c010f98b5ca8414c9a031524b1cb7d75366bf84d34df980ef4085a73bc62643cca5255519f891f7a9468abbf0d97adddf6684c3c0a751b0f9f390122c19d SHA512 b2bf0089a81c5389d86c9f7b2545358f23a1219d7e5bf152285f58293a171210b46c22c814ab3f8da460a2acbdd5127193fa7a2e19a021db511f9d08931037bf
diff --git a/dev-python/botocore/botocore-1.31.20.ebuild b/dev-python/botocore/botocore-1.31.20.ebuild
new file mode 100644
index 000000000000..4bc7f657ecb8
--- /dev/null
+++ b/dev-python/botocore/botocore-1.31.20.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/contourpy/contourpy-1.1.0.ebuild b/dev-python/contourpy/contourpy-1.1.0.ebuild
index 004fb7fb02e9..8555e2e18690 100644
--- a/dev-python/contourpy/contourpy-1.1.0.ebuild
+++ b/dev-python/contourpy/contourpy-1.1.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~ppc ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ppc ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
RDEPEND="
>=dev-python/numpy-1.16[${PYTHON_USEDEP}]
diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index 0e8c118de50f..1826689b2689 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -7,8 +7,8 @@ DIST base64-0.13.1.crate 61002 BLAKE2B 3b3a5b26e2ef18e9b4f1ede72b1bd160a14947518
DIST bitflags-1.3.2.crate 23021 BLAKE2B eb990bb27b2bdeb66fd7212ce582cb36e1c616debbac85df642d0c82b25439e6bf9b1e811fac76b59e58ea3c1bbea6170d03a61e8f9a395e4334a0e2e2987eda SHA512 3c698f757b5cc62f815f9a1cce365c3d2dd88e4db71f331dff8bba86c2865f755b81cb4c9bfc59bd86b7643b0943f9e09a7c4f8ad75eb2ab0e714803d0129f62
DIST cc-1.0.79.crate 62624 BLAKE2B b3cbed3bd6fcac1c6ea258ec96cd107f859947a35dc89c3dc8f314741b0f668e61518f896ec32ce10c9a7eb20dd350bc177a71810d53ebea59fda062ed9d27db SHA512 cbf0a25f3a23fc540e9d638fabc23f761f1c240ebb4814e761e90437d71fc559cd155768ab9e78fc192220d8a605c66c3af342ed736b719181656170b98d7bf5
DIST cfg-if-1.0.0.crate 7934 BLAKE2B e99a5589c11d79d77a4537b34ce0a45d37b981c123b79b807cea836c89fc3926d693458893baca2882448d3d44e3f64e06141f6d916b748daa10b8cc1ae16d1b SHA512 0fb16a8882fd30e86b62c5143b1cb18ab564e84e75bd1f28fd12f24ffdc4a42e0d2e012a99abb606c12efe3c11061ff5bf8e24ab053e550ae083f7d90f6576ff
-DIST cryptography-41.0.1.tar.gz 629124 BLAKE2B 726b6adbdd175e71135c7fcf239c2be822eea2e0221d59301dba3ee24aa958bd12acd0945883e4d0a14028cb0fe16b4c5f0c0adde3d44d23a815a290d87eb4af SHA512 7f944cc99f57db3e3e54eaea74ce65a4477c71fc9475dfb50247ca291d5e806dbf0323651edf9ce8ec3bf03de8912fb86f6c83b3b76f1d0e37369bd83e86805c
DIST cryptography-41.0.2.tar.gz 630080 BLAKE2B 26f1422133510d2c8076dfdccc4cfc2134b3704122b13e15cc34b1b4a1362d81a22efb7cb9ba64a266a7832ff7910ddd9da94f4ab8e58bf7308985ca57c3c00c SHA512 9c9b7fd047430bbde841fcd97e4ce76be6c708b372a7c1170013d8d8baaa263d90bed4a0fa4fca82ff713e8acf25971e7eab0f4ec1c8cbc8e9658a8527787e3a
+DIST cryptography-41.0.3.tar.gz 630139 BLAKE2B 148c01d3956a821edfcbba386287707f6e327d49669d163c00080f5208d65f340096a211825d6b5550036b00c5ccf9c84b137413454d68cae5374e9c10947c87 SHA512 84f79f72be3646c1e9a932ba8aba514471f6c0e50462a0bb3a927622ce67c7932e71d44e187db8928b05f04b803b958284f785c0dc297a0c9453846af1ac1aca
DIST foreign-types-0.3.2.crate 7504 BLAKE2B 520818b702d990d296ecd31a8646850202509ccfa18edd0e1b260289619a6c351e758f317ec0824bd76eccb209b6f087057c25f1bd01a47897715013dd834867 SHA512 bf27b8243ed482c202d120383374f19ff09422535e24b9c1aebccc66529bf300ca17b8bbc76d67f98ac092e614497afe3add9dc68aa69c93074df05762f91232
DIST foreign-types-shared-0.1.1.crate 5672 BLAKE2B d2e42e04b6657e7a69fe0bd20c672176629c743e49a55fd007bb30e289710b70045d445ae9cae0eeaa747ee708c90e8abd9b5fc39bad8ec0666befe1b696d4f1 SHA512 bafdb2143e136fb0818e2ffd90b5c862b7181647d6568947d4e4531012bbf7a57b597221ec7056c1b562dfc0c3b5dead26d1a4111ebc15e7863737a873518a4a
DIST indoc-1.0.9.crate 13475 BLAKE2B a9696788574e56dd125c3371169fd59d6947d188f76e2669b21c0304692efd6709cd048920f7822e92c6a5620fb178e0e85c7776118cef8ccee0f58398e14abf SHA512 db8aef4a7bb606452dc8ed45aa29a255c7a135357a0bd586fb4429c5f56a1aa2ca9400d6fac39956aeb486a15d25cf5d1b9524967867f2c651d9d563e3e85be8
@@ -27,7 +27,6 @@ DIST pem-1.1.1.crate 11352 BLAKE2B 2f21e56ab3e1c55aeab08a2d60b3e83b9b9520ed611de
DIST pkg-config-0.3.27.crate 18838 BLAKE2B 1295eb4f08751b3663cb2c7c2753f29bf2ccd80f4e5856909fe10b6f006c37fb9672c9518b9b416546469faa18821512673a66543c0bd1e848bddabc456d0a90 SHA512 41e9b8d4fce6b8244c2ac8566318a001b481bd42a182f1a832c81ce93c6a023e18af03aa3500b134c30195219d35080433bdba69b2594e9665081debfbb4533a
DIST proc-macro-error-1.0.4.crate 25293 BLAKE2B ef918c5efaf2545ab38787c8d0c07315af00431139e4dff66346bf798e3a429f91d12a79776c150412fdda0b158a72badd5e1044ac4d6917f8482d4b5a7110b7 SHA512 8a47bc9d3e24e9561d1e384d8f5a633284c2cf9b5e6733c5f9d1dbfe1870ccc8e2152482852e50b551cecb68e009148585b910ffb0508a7b4875598eaf8657db
DIST proc-macro-error-attr-1.0.4.crate 7971 BLAKE2B 98e2925881c2be186e22c2c439697e91d43f807eb61a5d13e3b0b4321ed50a74f3d699942c04b89b6fea0f156bb5d19ebcf22f9cd4b98a7e6917c437600ed823 SHA512 2606afa9ec78d7dad4500c98d3a5ecbd02c6b53ab829c742bed7f57b322a95238ab4e01cf268746815f1424fd9b02eddfa30e72f98c66106f57765f3d3116495
-DIST proc-macro2-1.0.59.crate 44360 BLAKE2B b1e42efd70e9a61bd46fd8bdd7db26aea142d98d28765de799901606b721c23a22c3e853d0821709ef5ddeac0304731b6a09c3bff3b7769e946b77fc67e44d36 SHA512 30e3340f53593afb3f07c4ba4c3d51acabd9a7513976aeaeed4c063fee268a28066c53b265b629d5d3f56597d1d34a9e69378f0ef5cda37b51a8fa8b67424aea
DIST proc-macro2-1.0.64.crate 44848 BLAKE2B 4422122d9299eff3bfbb4507c4a117fef7c0906cab5a680933d482b7f9b49480bcb9c8172b412e70bf87dd0737b8532e90c310bf083f144292cc72190059ba3b SHA512 884fd14ff23c19420692e35a38f88bb6a766a09da105759cd958c315b9360a2c49cfe61ceaa3122307d44040195ec9dffb12b6d0ce224fbac5d3701621a12b04
DIST pyo3-0.18.3.crate 420236 BLAKE2B bc00a825a67ed3590b31d3ea6bd77f6c4c927c0355d9d03ce64ca44e36ae3e29ab4d891bf2d94ca074b3bf858e077c516dc64e4620f875fe1e8fbffb5c9db1ec SHA512 39f044a19a42a5e2f46049431fbe3fe10c14d12a4741cc789b42de7cbf448bcbded7fe38a0f124d994ff9bcd3d95a19305dbfdc7462331fda3e6686cc4289be5
DIST pyo3-build-config-0.18.3.crate 29137 BLAKE2B 5fa645b64f50a078f38cc10a27ed52bd7e7aadd8a069c05ec2963f0b7c869b94d29eddda97cc31d200cf749ab8e2cd9cd1ea00e75620287e9187745ae0e100a5 SHA512 7ccad5f245e84895e147389f05270f32d12f81aba46bcd0dc184b8d62af2ea579efc50383502efda40601c981c4dbcf911aa7d8192364caa2e177ad939062cdb
diff --git a/dev-python/cryptography/cryptography-41.0.1.ebuild b/dev-python/cryptography/cryptography-41.0.3.ebuild
index 16312dee4eb4..4d2e85bebe8d 100644
--- a/dev-python/cryptography/cryptography-41.0.1.ebuild
+++ b/dev-python/cryptography/cryptography-41.0.3.ebuild
@@ -7,84 +7,92 @@ PYTHON_COMPAT=( python3_{7,8,9,10,11} )
PYTHON_REQ_USE="threads(+)"
CRATES="
-Inflector-0.11.4
-aliasable-0.1.3
-asn1-0.15.2
-asn1_derive-0.15.2
-autocfg-1.1.0
-base64-0.13.1
-bitflags-1.3.2
-cc-1.0.79
-cfg-if-1.0.0
-foreign-types-0.3.2
-foreign-types-shared-0.1.1
-indoc-1.0.9
-libc-0.2.144
-lock_api-0.4.9
-memoffset-0.8.0
-once_cell-1.17.2
-openssl-0.10.54
-openssl-macros-0.1.1
-openssl-sys-0.9.88
-ouroboros-0.15.6
-ouroboros_macro-0.15.6
-parking_lot-0.12.1
-parking_lot_core-0.9.7
-pem-1.1.1
-pkg-config-0.3.27
-proc-macro-error-1.0.4
-proc-macro-error-attr-1.0.4
-proc-macro2-1.0.59
-pyo3-0.18.3
-pyo3-build-config-0.18.3
-pyo3-ffi-0.18.3
-pyo3-macros-0.18.3
-pyo3-macros-backend-0.18.3
-quote-1.0.28
-redox_syscall-0.2.16
-scopeguard-1.1.0
-smallvec-1.10.0
-syn-1.0.109
-syn-2.0.18
-target-lexicon-0.12.7
-unicode-ident-1.0.9
-unindent-0.1.11
-vcpkg-0.2.15
-version_check-0.9.4
-windows-sys-0.45.0
-windows-targets-0.42.2
-windows_aarch64_gnullvm-0.42.2
-windows_aarch64_msvc-0.42.2
-windows_i686_gnu-0.42.2
-windows_i686_msvc-0.42.2
-windows_x86_64_gnu-0.42.2
-windows_x86_64_gnullvm-0.42.2
-windows_x86_64_msvc-0.42.2
+ Inflector@0.11.4
+ aliasable@0.1.3
+ asn1@0.15.2
+ asn1_derive@0.15.2
+ autocfg@1.1.0
+ base64@0.13.1
+ bitflags@1.3.2
+ cc@1.0.79
+ cfg-if@1.0.0
+ foreign-types-shared@0.1.1
+ foreign-types@0.3.2
+ indoc@1.0.9
+ libc@0.2.144
+ lock_api@0.4.9
+ memoffset@0.8.0
+ once_cell@1.17.2
+ openssl-macros@0.1.1
+ openssl-sys@0.9.88
+ openssl@0.10.54
+ ouroboros@0.15.6
+ ouroboros_macro@0.15.6
+ parking_lot@0.12.1
+ parking_lot_core@0.9.7
+ pem@1.1.1
+ pkg-config@0.3.27
+ proc-macro-error-attr@1.0.4
+ proc-macro-error@1.0.4
+ proc-macro2@1.0.64
+ pyo3-build-config@0.18.3
+ pyo3-ffi@0.18.3
+ pyo3-macros-backend@0.18.3
+ pyo3-macros@0.18.3
+ pyo3@0.18.3
+ quote@1.0.28
+ redox_syscall@0.2.16
+ scopeguard@1.1.0
+ smallvec@1.10.0
+ syn@1.0.109
+ syn@2.0.18
+ target-lexicon@0.12.7
+ unicode-ident@1.0.9
+ unindent@0.1.11
+ vcpkg@0.2.15
+ version_check@0.9.4
+ windows-sys@0.45.0
+ windows-targets@0.42.2
+ windows_aarch64_gnullvm@0.42.2
+ windows_aarch64_msvc@0.42.2
+ windows_i686_gnu@0.42.2
+ windows_i686_msvc@0.42.2
+ windows_x86_64_gnu@0.42.2
+ windows_x86_64_gnullvm@0.42.2
+ windows_x86_64_msvc@0.42.2
"
+
inherit cargo distutils-r1 multiprocessing
DESCRIPTION="Library providing cryptographic recipes and primitives"
-HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.org/project/cryptography/"
+HOMEPAGE="
+ https://github.com/pyca/cryptography/
+ https://pypi.org/project/cryptography/
+"
SRC_URI="
https://github.com/pyca/cryptography/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz
$(cargo_crate_uris ${CRATES})"
-# MIT and BSD-3-Clause come from rust dependencies, some dependencies are also Apache 2.0 exclusively,
-# and some are Apache 2.0 or MIT
-LICENSE="Apache-2.0 MIT BSD"
+LICENSE="|| ( Apache-2.0 BSD ) PSF-2"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD MIT
+ Unicode-DFS-2016
+"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="libressl"
-DEPEND="
+RDEPEND="
!libressl? ( >=dev-libs/openssl-1.0.2o-r6:0= )
libressl? ( >=dev-libs/libressl-3.6.0:0= )
-"
-RDEPEND="
$(python_gen_cond_dep '
>=dev-python/cffi-1.8:=[${PYTHON_USEDEP}]
' 'python*')
"
+DEPEND="
+ ${RDEPEND}
+"
BDEPEND="
${DEPEND}
dev-python/setuptools-rust[${PYTHON_USEDEP}]
@@ -100,7 +108,7 @@ BDEPEND="
"
# Files built without CFLAGS/LDFLAGS, acceptable for rust
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/cryptography/hazmat/bindings/_rust.abi3.so"
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/cryptography/hazmat/bindings/_rust.*.so"
distutils_enable_tests pytest
@@ -111,6 +119,8 @@ src_unpack() {
src_prepare() {
default
+ sed -i -e 's:--benchmark-disable::' pyproject.toml || die
+
# work around availability macros not supported in GCC (yet)
if [[ ${CHOST} == *-darwin* ]] ; then
local darwinok=0
@@ -122,6 +132,10 @@ src_prepare() {
fi
}
+python_configure_all() {
+ filter-lto # bug #903908
+}
+
python_test() {
local -x PYTHONPATH="${PYTHONPATH}:${WORKDIR}/cryptography_vectors-${PV}"
epytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
diff --git a/dev-python/cryptography/files/cryptography-36.0.2-libressl.patch b/dev-python/cryptography/files/cryptography-36.0.2-libressl.patch
deleted file mode 100644
index 3e3722115455..000000000000
--- a/dev-python/cryptography/files/cryptography-36.0.2-libressl.patch
+++ /dev/null
@@ -1,102 +0,0 @@
-commit 8a98c812c3346e6c18b6d067e036fad63e30fcc1
-Author: Charlie Li <vishwin@users.noreply.github.com>
-Date: Wed Mar 2 06:48:49 2022 -0500
-
- Support LibreSSL 3.5.0 (#6919)
-
- * Add LibreSSL 3.5.0 to CI
-
- * Add LibreSSL 3.5.0 guard
-
- * Expose FIPS functions in LibreSSL 3.5.0+
-
- * Expose DH API in LibreSSL 3.5.0+
-
- * Expose SSL_get0_verified_chain and SSL_CTX_{set,get}_keylog_callback in LibreSSL 3.5.0+
-
- * Fix SSL_CTX_{set,get}_keylog_callback guard
-
- * Add missing CRYPTOGRAPHY_LIBRESSL_LESS_THAN_350 symbol
-
- * Fix SSL_CTX_{set,get}_keylog_callback guard again
-
- * Condense LibreSSL 3.5.0 defines
-
- * Kick CircleCI
-
-diff --git a/src/_cffi_src/openssl/cryptography.py b/src/_cffi_src/openssl/cryptography.py
-index 7d36feb5..03019e0a 100644
---- a/src/_cffi_src/openssl/cryptography.py
-+++ b/src/_cffi_src/openssl/cryptography.py
-@@ -43,9 +43,13 @@ INCLUDES = """
- (LIBRESSL_VERSION_NUMBER < 0x3030200f)
- #define CRYPTOGRAPHY_LIBRESSL_LESS_THAN_340 \
- (LIBRESSL_VERSION_NUMBER < 0x3040000f)
-+#define CRYPTOGRAPHY_LIBRESSL_LESS_THAN_350 \
-+ (LIBRESSL_VERSION_NUMBER < 0x3050000f)
-+
- #else
- #define CRYPTOGRAPHY_LIBRESSL_LESS_THAN_332 (0)
- #define CRYPTOGRAPHY_LIBRESSL_LESS_THAN_340 (0)
-+#define CRYPTOGRAPHY_LIBRESSL_LESS_THAN_350 (0)
- #endif
-
- #if OPENSSL_VERSION_NUMBER < 0x10100000
-@@ -84,6 +88,9 @@ static const int CRYPTOGRAPHY_OPENSSL_LESS_THAN_111;
- static const int CRYPTOGRAPHY_OPENSSL_LESS_THAN_111B;
- static const int CRYPTOGRAPHY_NEEDS_OSRANDOM_ENGINE;
-
-+static const int CRYPTOGRAPHY_LIBRESSL_LESS_THAN_340;
-+static const int CRYPTOGRAPHY_LIBRESSL_LESS_THAN_350;
-+
- static const int CRYPTOGRAPHY_IS_LIBRESSL;
- static const int CRYPTOGRAPHY_IS_BORINGSSL;
- """
-diff --git a/src/_cffi_src/openssl/dh.py b/src/_cffi_src/openssl/dh.py
-index b369bf9f..c378ad1b 100644
---- a/src/_cffi_src/openssl/dh.py
-+++ b/src/_cffi_src/openssl/dh.py
-@@ -36,7 +36,7 @@ int Cryptography_i2d_DHxparams_bio(BIO *, DH *);
- """
-
- CUSTOMIZATIONS = """
--#if CRYPTOGRAPHY_IS_LIBRESSL
-+#if CRYPTOGRAPHY_LIBRESSL_LESS_THAN_350
- #ifndef DH_CHECK_Q_NOT_PRIME
- #define DH_CHECK_Q_NOT_PRIME 0x10
- #endif
-diff --git a/src/_cffi_src/openssl/fips.py b/src/_cffi_src/openssl/fips.py
-index 23c10af9..dd81d06c 100644
---- a/src/_cffi_src/openssl/fips.py
-+++ b/src/_cffi_src/openssl/fips.py
-@@ -17,7 +17,7 @@ int FIPS_mode(void);
- """
-
- CUSTOMIZATIONS = """
--#if CRYPTOGRAPHY_IS_LIBRESSL || CRYPTOGRAPHY_OPENSSL_300_OR_GREATER
-+#if CRYPTOGRAPHY_LIBRESSL_LESS_THAN_350 || CRYPTOGRAPHY_OPENSSL_300_OR_GREATER
- static const long Cryptography_HAS_FIPS = 0;
- int (*FIPS_mode_set)(int) = NULL;
- int (*FIPS_mode)(void) = NULL;
-diff --git a/src/_cffi_src/openssl/ssl.py b/src/_cffi_src/openssl/ssl.py
-index 3ec82fb6..2d93fe24 100644
---- a/src/_cffi_src/openssl/ssl.py
-+++ b/src/_cffi_src/openssl/ssl.py
-@@ -527,14 +527,15 @@ static const long Cryptography_HAS_TLSEXT_HOSTNAME = 1;
- int (*SSL_CTX_set_client_cert_engine)(SSL_CTX *, ENGINE *) = NULL;
- #endif
-
--#if CRYPTOGRAPHY_IS_LIBRESSL || CRYPTOGRAPHY_IS_BORINGSSL
-+#if CRYPTOGRAPHY_LIBRESSL_LESS_THAN_350 || CRYPTOGRAPHY_IS_BORINGSSL
- static const long Cryptography_HAS_VERIFIED_CHAIN = 0;
- Cryptography_STACK_OF_X509 *(*SSL_get0_verified_chain)(const SSL *) = NULL;
- #else
- static const long Cryptography_HAS_VERIFIED_CHAIN = 1;
- #endif
-
--#if CRYPTOGRAPHY_OPENSSL_LESS_THAN_111
-+#if CRYPTOGRAPHY_LIBRESSL_LESS_THAN_350 || \
-+ (CRYPTOGRAPHY_OPENSSL_LESS_THAN_111 && !CRYPTOGRAPHY_IS_LIBRESSL)
- static const long Cryptography_HAS_KEYLOG = 0;
- void (*SSL_CTX_set_keylog_callback)(SSL_CTX *,
- void (*) (const SSL *, const char *)
diff --git a/dev-python/cryptography/files/openssl_cleanup.patch b/dev-python/cryptography/files/openssl_cleanup.patch
deleted file mode 100644
index 1464089e21b4..000000000000
--- a/dev-python/cryptography/files/openssl_cleanup.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-diff -urN cryptography-38.0.1.orig/src/_cffi_src/openssl/crypto.py cryptography-38.0.1/src/_cffi_src/openssl/crypto.py
---- cryptography-38.0.1.orig/src/_cffi_src/openssl/crypto.py 2022-10-09 14:12:20.634321377 +0200
-+++ cryptography-38.0.1/src/_cffi_src/openssl/crypto.py 2022-10-09 14:13:19.612325625 +0200
-@@ -75,12 +75,7 @@
- # define OPENSSL_DIR SSLEAY_DIR
- #endif
-
--#if CRYPTOGRAPHY_IS_LIBRESSL
--static const long Cryptography_HAS_OPENSSL_CLEANUP = 0;
--void (*OPENSSL_cleanup)(void) = NULL;
--#else
- static const long Cryptography_HAS_OPENSSL_CLEANUP = 1;
--#endif
-
- #if CRYPTOGRAPHY_IS_LIBRESSL || CRYPTOGRAPHY_IS_BORINGSSL
- static const long Cryptography_HAS_MEM_FUNCTIONS = 0;
diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index d5d936d01cb4..a7e7ccbdd8bd 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,2 +1,3 @@
DIST dask-2023.6.1.gh.tar.gz 8528028 BLAKE2B 50326b83fc60ab5d615433f1d44d504e9b05c8e6e8f662277b999394c6eb170bd7b9947402f187971c79c96b3a7cc15fcb0970cceb0c70c09341c447b79d4035 SHA512 eb4f01183429f64acf2b779b3e20c16bc0597c13516a79128eadd93176be3a65ddac7a113cbe946051fd7b6b5f1dbcc0e0dfcac8930c90ecbeffc5d1d1539be4
DIST dask-2023.7.1.gh.tar.gz 8535789 BLAKE2B 6841a126cc245ff578408f0a30d973f18be0c3d62acb115562fd1a35fcc0262d07678c128428f4caeda78a1bdceec2bd885234f265fbd7d16be12238f1b623bd SHA512 54fca9d54d83ec89705f44df00050fd1d696a555809945a1e0139c565703f2af8ca503ed8e586b72aff0b670e64073877ed4d5713212d21765a859fdb7247ec1
+DIST dask-2023.8.0.gh.tar.gz 8539262 BLAKE2B 3ce61191bca458e32ac88904460f8ee843f34ddc9be88d0de7f56a90897dd599d70012f92b5063b5df996bc61c85c16b2d6b745e1a334847d8b66f66721bc422 SHA512 9afee3571e58b0f923347e2ec06c80ab5e4f35abb23e0635777170def0561cf1df6c940844cad1efe112059909020cf6435147b9003c4a449eba98d38d9eefab
diff --git a/dev-python/dask/dask-2023.8.0.ebuild b/dev-python/dask/dask-2023.8.0.ebuild
new file mode 100644
index 000000000000..4024255812bb
--- /dev/null
+++ b/dev-python/dask/dask-2023.8.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="
+ https://www.dask.org/
+ https://github.com/dask/dask/
+ https://pypi.org/project/dask/
+"
+SRC_URI="
+ https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/click-8.0[${PYTHON_USEDEP}]
+ >=dev-python/cloudpickle-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-2021.9.0[${PYTHON_USEDEP}]
+ >=dev-python/importlib-metadata-4.13.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/partd-1.2.0[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/toolz-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/toolz[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/numexpr[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # fails with sqlalchemy-2.0, even though we don't use it x_x
+ sed -i -e '/RemovedIn20Warning/d' pyproject.toml || die
+ sed -i -e 's:--cov-config=pyproject.toml::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # more tests relying on -Werror
+ "dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
+ dask/array/tests/test_random.py::test_RandomState_only_funcs
+ # TODO
+ dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
+ dask/tests/test_config.py::test__get_paths
+ dask/array/tests/test_linalg.py::test_solve_assume_a
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>0-float-5-1-True]"
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>1-float-5-1-True]"
+ dask/array/tests/test_image.py::test_preprocess
+ # require sqlalchemy<2.0
+ dask/dataframe/io/tests/test_sql.py
+ )
+
+ if ! has_version -b "dev-python/pyarrow[parquet,${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ # fails if pyarrow is installed without USE=parquet
+ # (optional dep, skipped if it's not installed at all)
+ dask/dataframe/io/tests/test_parquet.py::test_pyarrow_filter_divisions
+ )
+ fi
+
+ epytest -p no:flaky -m "not network"
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index e9da2ac43cac..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..ddb5b0f1787e 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>cyber+gentoo@sysrq.in</email>
+ <name>Anna</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pycairo/pycairo-1.24.0.ebuild b/dev-python/pycairo/pycairo-1.24.0.ebuild
index 3fe92656a6a3..442512374f55 100644
--- a/dev-python/pycairo/pycairo-1.24.0.ebuild
+++ b/dev-python/pycairo/pycairo-1.24.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
IUSE="examples"
BDEPEND="
diff --git a/dev-python/time-machine/time-machine-2.10.0.ebuild b/dev-python/time-machine/time-machine-2.10.0.ebuild
index 021d9692ffb1..367c31a7c849 100644
--- a/dev-python/time-machine/time-machine-2.10.0.ebuild
+++ b/dev-python/time-machine/time-machine-2.10.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/python-dateutil[${PYTHON_USEDEP}]
diff --git a/dev-python/tornado/tornado-6.3.2-r1.ebuild b/dev-python/tornado/tornado-6.3.2-r1.ebuild
index 19b67759b676..fb946f79b71d 100644
--- a/dev-python/tornado/tornado-6.3.2-r1.ebuild
+++ b/dev-python/tornado/tornado-6.3.2-r1.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="examples test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/w3lib/Manifest b/dev-python/w3lib/Manifest
index bf48f2408d94..06d1c7131511 100644
--- a/dev-python/w3lib/Manifest
+++ b/dev-python/w3lib/Manifest
@@ -1,2 +1,2 @@
-DIST v2.1.0.tar.gz 50706 BLAKE2B 95b27b84e22bbbffbf8c58eb76a7ddb920a22ec663ca79ea888d0ea7c2d40a5af17c29c6bd8641778f77e055492b281975a37870a3833e5627645d19f2e227f6 SHA512 a511711e8be7669e80e82bd3ccafa507a57a6f7755af4fab95bd27d3987507cc6ec73497af76ac316831e6f43d103aa98b71388452a83fc01ddbba1f40414bf3
-DIST v2.1.1.tar.gz 50908 BLAKE2B 324080f01509b736b76bc03f2c5c11e1244e71a509b29be5dcc6f7978c932deae18e26faa53e9ad9928d086c24688c91f38984d3e32b6dcb67605657e30abd0f SHA512 897a2ead229c1cfdba83c78383169bb731840a024e1304e47482e24b38687f49d57474ec02bbbb6282f348ae4bff5398f3e8da923aed29bde52a2ac400f100b0
+DIST w3lib-2.0.1.tar.gz 43324 BLAKE2B cb3b16da08b37ff224a94c37987fab3da752490eec081dece6c9576067590e0012585f9c26d0af2bb86c99fc6ba0cf47213cb32d51847513ee1d35bf48bdb66b SHA512 6d271d1d2858f2aef843cb3e99ca46cadef3d866f920a55696d7189c8b7da3ca3f9adbb066272301c9b5332a414ff4554222a044efa58ec622be8a3da79c04e3
+DIST w3lib-2.1.1.tar.gz 48471 BLAKE2B f510cb66c19c56260d7c196d46a2d44a5f8eb3e0204869f9ccd68b84dbdfdd5f4a8ec731b1c4c3f8d2e0549fba4dac3877200c9018b55ae6f454a2c2518df872 SHA512 f720ec4ded534474ef8f18df388fdaad56ccd48de797c0ec6145737479bc3d589a0e376316aab08c5f4ffe5f0fa07a383d655e3feedc1d1ba51c4cf9ee9639ac
diff --git a/dev-python/w3lib/metadata.xml b/dev-python/w3lib/metadata.xml
index 36acccda7221..0278f84e08d3 100644
--- a/dev-python/w3lib/metadata.xml
+++ b/dev-python/w3lib/metadata.xml
@@ -1,10 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
+ <maintainer type="person">
+ <email>gentoo@aisha.cc</email>
+ <name>Aisha Tammy</name>
</maintainer>
- <origin>ports</origin>
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/w3lib/w3lib-2.0.1.ebuild b/dev-python/w3lib/w3lib-2.0.1.ebuild
new file mode 100644
index 000000000000..00282a3dedd8
--- /dev/null
+++ b/dev-python/w3lib/w3lib-2.0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library of web-related functions"
+HOMEPAGE="
+ https://scrapy.org/
+ https://pypi.org/project/w3lib/
+ https://github.com/scrapy/w3lib
+"
+
+LICENSE="BSD"
+SLOT=0
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-hoverxref \
+ dev-python/sphinx-notfound-page
+
+EPYTEST_DESELECT=(
+ # https://github.com/scrapy/w3lib/issues/164
+ tests/test_url.py::UrlTests::test_add_or_replace_parameter
+)
diff --git a/dev-python/w3lib/w3lib-2.1.0.ebuild b/dev-python/w3lib/w3lib-2.1.0.ebuild
deleted file mode 100644
index d12d9ef2be7d..000000000000
--- a/dev-python/w3lib/w3lib-2.1.0.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 2020-2022 by Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python library of web-related functions"
-HOMEPAGE="https://github.com/scrapy/w3lib"
-SRC_URI="https://github.com/scrapy/w3lib/archive/v${PV}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-
-RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- tests/test_url.py::UrlTests::test_add_or_replace_parameter
-)
diff --git a/dev-python/w3lib/w3lib-2.1.1.ebuild b/dev-python/w3lib/w3lib-2.1.1.ebuild
index d12d9ef2be7d..00282a3dedd8 100644
--- a/dev-python/w3lib/w3lib-2.1.1.ebuild
+++ b/dev-python/w3lib/w3lib-2.1.1.ebuild
@@ -1,25 +1,32 @@
-# Copyright 2020-2022 by Liguros Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+EAPI=8
-inherit distutils-r1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
-DESCRIPTION="Python library of web-related functions"
-HOMEPAGE="https://github.com/scrapy/w3lib"
-SRC_URI="https://github.com/scrapy/w3lib/archive/v${PV}.tar.gz"
+DESCRIPTION="Library of web-related functions"
+HOMEPAGE="
+ https://scrapy.org/
+ https://pypi.org/project/w3lib/
+ https://github.com/scrapy/w3lib
+"
LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+SLOT=0
+KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx-hoverxref \
+ dev-python/sphinx-notfound-page
+
EPYTEST_DESELECT=(
+ # https://github.com/scrapy/w3lib/issues/164
tests/test_url.py::UrlTests::test_add_or_replace_parameter
)
diff --git a/dev-python/websockets/websockets-11.0.3-r1.ebuild b/dev-python/websockets/websockets-11.0.3-r1.ebuild
index 68a9af013746..d1ad89954dce 100644
--- a/dev-python/websockets/websockets-11.0.3-r1.ebuild
+++ b/dev-python/websockets/websockets-11.0.3-r1.ebuild
@@ -24,7 +24,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86"
IUSE="+native-extensions"
distutils_enable_tests pytest
diff --git a/dev-python/wurlitzer/wurlitzer-3.0.3.ebuild b/dev-python/wurlitzer/wurlitzer-3.0.3.ebuild
index 615523ec57b2..63979982a23e 100644
--- a/dev-python/wurlitzer/wurlitzer-3.0.3.ebuild
+++ b/dev-python/wurlitzer/wurlitzer-3.0.3.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~ppc ppc64 ~riscv x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ppc ppc64 ~riscv x86"
distutils_enable_tests pytest